> ## Documentation Index
> Fetch the complete documentation index at: https://docs.rails.xyz/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Account Withdrawals

> This endpoint retrieves the account withdrawals.



## OpenAPI

````yaml GET /api/v1/withdrawals
openapi: 3.1.0
info:
  title: User Account API
  version: 1.0.0
servers:
  - url: https://user-account.sandbox.rails.xyz
security: []
paths:
  /api/v1/withdrawals:
    get:
      summary: Get Account Withdrawals
      operationId: getAccountWithdrawals
      parameters:
        - $ref: '#/components/parameters/start'
      responses:
        '200':
          description: ''
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/withdrawalsResponse'
              example:
                withdrawals:
                  - dataType: WITHDRAW
                    market: USDT
                    value: '990.0'
                    fees: '10.0'
                    txCreated: 1717466763457
                    txHash: >-
                      0x19a89550272fc44a881d5e28a3619eace550b80191ef5a803163f90024d9f702
                last: >-
                  USDT#WITHDRAW#0x19a89550272fc44a881d5e28a3619eace550b80191ef5a803163f90024d9f702#1717466763457
        '401':
          $ref: '#/components/responses/Unauthorized'
      security:
        - bearerAuth: []
components:
  parameters:
    start:
      name: start
      in: query
      required: false
      description: >-
        This is a parameter to support pagination. Get the value from the `last`
        field if present in the previous response.
      schema:
        type: string
  schemas:
    withdrawalsResponse:
      type: object
      properties:
        withdrawals:
          type: array
          description: List of withdrawal transactions for the account.
          items:
            type: object
            properties:
              dataType:
                type: string
                description: Type of transaction. Always 'WITHDRAW' for withdrawals.
              market:
                type: string
                description: >-
                  Asset withdrawn (e.g., 'USDT'). Note: This field is named
                  'market', but it's an asset symbol, not a trading market.
              value:
                type: string
                description: Amount withdrawn.
              fees:
                type: string
                description: Withdrawal fee charged.
              txCreated:
                type: number
                description: Withdrawal timestamp (milliseconds since epoch).
              txHash:
                type: string
                description: Blockchain transaction hash for the withdrawal.
            required:
              - dataType
              - market
              - value
              - fees
              - txCreated
              - txHash
        last:
          $ref: '#/components/schemas/last'
      required:
        - withdrawals
    last:
      type: string
      description: >-
        This is a field in the response to support pagination. Use this value if
        present for the `start` parameter of the following request to get the
        next page of results.
  responses:
    Unauthorized:
      description: ''
      content:
        application/json:
          schema:
            type: object
            properties:
              message:
                type: string
                description: A human-readable message describing the error.
            required:
              - message
          example:
            message: Unauthorized
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      bearerFormat: JWT

````